
label roxie_quests:
    
    if v_rox_line == 3:
        
        show rox stand sure
        show rox_f stand calm        
        
        show bro stand crossed calm
        me "So, what are we going to do to stop Olyvia and her demons?"
        show rox stand calm
        show rox_f stand shy
        rox "It's not an easy task. The enemy has overwhelming numbers, and we suffer losses even when we fight our way through the forest to reach town. I wish we had a portal right in the center of it..."
        show bro stand think calm
        me "So you lack warrior women... Maybe I could help somehow?"
        
        if (v_rox_lp <= 25) and (v_rox_sp <= 25):
            
            show rox stand think
            show rox_f stand surprise
            rox "Hmmm... I'm not sure. You're still a stranger here, and I'm not sure what you are good for."
            show rox stand calm
            show rox_f stand calm             
            rox "I think I'll give you an errand after I know you better."
                        
            
        else:
            show rox stand think
            show rox_f stand calm             
            rox "Let me think... You know, you could do something."
            show bro stand sure calm
            me "What do you want me to do?"
            show rox stand sure
            show rox_f stand calm             
            rox "Some of our girls were sent to our infirmary after facing plant demons. They got poisoned during the battle."
            rox "Our healing magic can't remove this poison. Actually, we're not good at any magic, and we mostly use bandages and healing herbs rather than healing spells. I know the witches use potions that can heal wounds and other health problems, but we can't make those potions either."
            show rox stand reason
            show rox_f stand calm             
            rox "But you're different. You have methods we can't use. I'm sure you could bring 4 healing potions here to help the warrior women in the infirmary. Could you do this?"
            show bro stand sure smile
            me "Sure. I'll bring you the potions. No problem."
            show rox stand sure
            show rox_f stand calm             
            rox "This will also help us understand if you really can be useful to the Order or not."
            show bro stand calm calm
            me "Uh-huh."
            
            $ v_rox_line = 4
            
            jump rox_wheel
            
    if v_rox_line == 4:
        
        show bro stand calm calm
        me "By the way, about those potions..."
        show rox stand calm
        show rox_f stand surprise
        rox "Yes? Did you bring them?"
        menu:
            
            "No":
                
                me "No, I don't have enough of them with me."
                show bro stand confused calm
                me "I just thought... Maybe we could put this task aside and concentrate on our combat goals instead?"
                show rox stand sure
                show rox_f stand annoyed
                rox "No, [h_name]. If you can't finish this task, you won't be a good ally for the Order."
                rox "Do you want to give it up?"
                show bro stand calm calm
                me "No. I just asked. I'll bring the potions soon."
                show rox stand calm
                show rox_f stand calm                 
                rox "I'll be waiting."
                
            "Yes." if v_inv_health_potion >= 4:
                
                show bro stand sure smile
                me "Yes. Look here."
                show rox stand ask
                show rox_f stand smile
                rox "Great! It'll solve our problem with poison!"
                
                menu:
                    
                    "Be chivalrous":
                        
                        show bro stand sure calm
                        me "It was really important for me personally, Roxie. The warrior women suffered in battles against the demons, trying to protect all of humankind. I felt I owe them, so I wanted to do anything to help."
                        show bro stand index calm
                        show rox stand calm
                        show rox_f stand surprise
                        me "It was, kind of, a matter of honor for me."
                        show bro stand calm calm
                        show rox stand think
                        show rox_f stand calm                         
                        rox "Hmm... It's unusual to hear such words from a man, [h_name]. I usually knew men as irresponsible and unfeeling animals, but it seems to me that you’re different."
                        show bro stand confused smile
                        me "Well... Many girls say that to me, so maybe you're right."
                        show rox stand sure
                        show rox_f stand smile
                        rox "Anyway, I should thank you on behalf of the Order of Light. You are a great help to us."
                        show bro stand sure smile
                        me "You're welcome."
                        
                        $ v_rox_lp += 5
                        sys "Roxie's love points: + 5"
                        $ v_rox_sp += 2
                        sys "Roxie's submission points: + 2"                        
                        
                    "Be bossy.":
                        
                        show bro stand sure calm
                        me "Of course it will. When I face a problem, I always find the solution. That's what differs a true commander from the regular soldier. Responsibility."
                        show rox stand reason
                        show rox_f stand annoyed
                        rox "I can't deny you have outstanding abilities, but I don't think you should brag because of this. We all do what we can."
                        show bro stand index calm
                        me "Exactly. But it was your task in the first place, Roxie. It was your responsibility to take care of finding a cure for your warrior women."
                        show bro stand crossed calm
                        show rox stand calm
                        show rox_f stand surprise
                        me "But you failed. You failed, and I'm didn’t. I brought the cure, not you. I did your duty better than you did."
                        show bro stand crossed smile
                        show rox stand calm
                        show rox_f stand shy                        
                        me "It may turn out that I'm more useful for the Order than you, Roxie. Think about it."
                        rox "I... I will."
                        
                        $ v_rox_lp -= 2
                        sys "Roxie's love points: - 2"
                        $ v_rox_sp += 5
                        sys "Roxie's submission points: + 5"
                    
                show rox stand calm
                show rox_f stand calm
                rox "As for now... It's great we have the cure, but we don't have practice in using it. I'm sure there are some special instructions for using such potions."    
                rox "You might know a lot about using it. Right?"
                show bro stand sure smile
                me "That's true."
                show rox stand ask
                show rox_f stand calm
                rox "So... What if I asked you to visit our poisoned girls in the infirmary and give them the cure personally? Could you do this?"
                show bro stand calm calm
                me "No problem. But I still don't have access to the infirmary."
                show rox stand sure
                show rox_f stand calm
                rox "I'll set the portal so it will open access to the infirmary for you."
                show rox stand reason
                show rox_f stand calm                
                rox "At the current moment we have 4 girls there. You have 4 potions with you, so you should go and cure each of them."
                show bro stand calm smile
                me "Sure."
                show rox stand sure
                show rox_f stand smile                
                rox "Great. Come back to discuss further plans with me after you finish there."
                show bro stand calm calm
                me "Okay."
                
                $ cii_bed1 = renpy.random.randint(0,1)
                $ cii_bed2 = renpy.random.randint(2,3)
                $ cii_bed3 = renpy.random.randint(4,5)
                $ cii_bed4 = renpy.random.randint(6,8)
                
                $ cii_girls = 4

                $ v_rox_line = 5
                
                jump rox_wheel
                
    if v_rox_line == 5:                   
        
        if v_sick_way > 4:
            
            rox "So how are the girls in the infirmary? Did you manage to help them?"
                        
            if v_sick_way <= 0:
                me "Mmm... Sorry, I didn't have free time to visit them yet."
                rox "That's not good. My wargirls take wounds in battles all the time. The infirmary is filled with patients. We don't have enough room to place evryone who needs health treatment."
                me "I understand. I just have too much tasks for now."
                rox "Please, [h_name]. Find some extra time for the Order needs in your busy schedule."
                me "I'll see what I can do."
            else:
                me "I've already started, but it takes time to help every girl."
                rox "How's the progress at the moment?"
                if v_sick_way == 1:
                    me "I cured only one girl, but I'll find time for the others too soon."
                    rox "Please, hurry. We can't afford protractions in our situation."
                    me "I know, Roxie. I do what I can."
                else:
                    me "I've already cured [number] girls."
                    rox "Not bad. It's good to know we can rely on you. Go on this way."
                    me "Don't worry. You'll get your girls soon."
                    
        else:
            
            rox "I've got the reports. It looks like you cured all the girls."
            me "I'm a professional. I promised to help and I did it."
            rox "A man of his word. That's good."
            if v_wg_md == "l0":
                rox "And what is not so good is that my girls are not happy with the way you treating them."
                rox "There are rumors among the girls about you using the situation for perverted and lustful perposes."
                rox "It looks like most of them are nervous about you being a healer in the Order."
                me "Hey, I just did what I should! They don't understand anything about curing patients! How can they judge me?"
                rox "Just make sure you don't go too far, ot the conaequences may turn out to be bad for you."
                me "I got it. Okay."
            else:
                rox "What is also good is that you earned some reputation among the girls of the Order."
                rox "The rumors say you were attentive and caring, and they started to trust you. That's good."
                rox "I had some problems before when I let you join us. Most of my wargirls thought I do a mistake. But you've managed to change the situation."
                me "They would understand sooner or later that I deserve to be trusted, but I'm happy it happend so soon."
                rox "Yeah, that's good."
            rox "Anyway, your help was really valuable."
            me "I was glad to help. It's good to know all the girls feel well now."
            rox "For some time..."
            me "Huh?"            
            rox "It's a war. We bring new patients to the infirmary almost every day."            
            rox "You proved yourself a good healer, so I want you to visit the infirmary from time to time and provide your service."
            me "Not a problem. You can count on me."
            rox "Good."
            
            $ v_rox_line = 6
            
    if v_rox_line == 6:
        
        "Under construction."
        
    jump rox_wheel

