
label cherry_wheel:
    call screen cherry_scr_base
    return

label cherry_trade:
    call screen trade_screen
    if closer == 1:
        $ closer = 0
        jump cherry_wheel    
    jump cherry_trade        
    return
    
label cherry_talk:                      
    if v_che_talks >= 1:
        me "I already talked to Cherry."
        jump cherry_wheel
    else:
        call screen cherry_scr_talk
        return    

label cherry_skills_screen:
    call screen cherry_scr_skills
    return
    
label cherry_undress_screen:
    call screen cherry_scr_undress
    return
    
label cherry_watch_screen:
    call screen cherry_scr_watch
    return    
    
label cherry_grope_screen:
    call screen cherry_scr_grope
    return    
    
label cherry_sex_screen:
    call screen cherry_scr_sex
    return        
    
####################################################################################################            
####################################################################################################        

screen cherry_scr_base:
    
    imagebutton xalign 0.05 yalign 0.88:
        idle ("images/_stuff/buttons/back.png")
        hover ("images/_stuff/buttons/back_hover.png")
        action Jump ("cherry_leave")
    text "{size=-7}Leave{/size}" xalign 0.05 yalign 0.925 
    
    imagebutton xalign 0.13 yalign 0.88:
        idle ("images/_stuff/buttons/talk.png")
        hover ("images/_stuff/buttons/talk_hover.png")
        action Jump ("cherry_talk")
    text "{size=-7}Talk{/size}" xalign 0.15 yalign 0.925     
    
    imagebutton xalign 0.21 yalign 0.88:
        idle ("images/_stuff/buttons/skills.png")
        hover ("images/_stuff/buttons/skills_hover.png")
        action Jump ("cherry_skills_screen")
    text "{size=-7}Skills{/size}" xalign 0.225 yalign 0.925

    imagebutton xalign 0.29 yalign 0.88:
        idle ("images/_stuff/buttons/trade.png")
        hover ("images/_stuff/buttons/trade_hover.png")
        action Jump ("cherry_trader")
    text "{size=-7}Trade{/size}" xalign 0.29 yalign 0.925         
    
    if v_che_event2 <= 1:    
        imagebutton xalign 0.45 yalign 0.88:
            idle ("images/_stuff/buttons/corrupt.png")
            hover ("images/_stuff/buttons/corrupt_hover.png")
            action Jump ("cherry_corrupt")
        text "{size=-7}Corrupt{/size}" xalign 0.45 yalign 0.925         
    
    if v_che_show >= 1:                            ############### UNDRESS
        imagebutton xalign 0.53 yalign 0.88:
            idle ("images/_stuff/buttons/undress.png")
            hover ("images/_stuff/buttons/undress_hover.png")
            action Jump ("cherry_undress_screen")
        text "{size=-7}Undress{/size}" xalign 0.53 yalign 0.925         
    else:
        imagebutton xalign 0.53 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.53 yalign 0.925       
    
    if v_che_show >= 1:                            ############### WATCH
        imagebutton xalign 0.61 yalign 0.88:
            idle ("images/_stuff/buttons/watch.png")
            hover ("images/_stuff/buttons/watch_hover.png")
            action Jump ("cherry_watch_screen")
        text "{size=-7}Watch{/size}" xalign 0.61 yalign 0.925
    else:
        imagebutton xalign 0.61 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.61 yalign 0.925                 
    
    imagebutton xalign 0.69 yalign 0.88:         ############### touch
        idle ("images/_stuff/buttons/undercon.png")
    text "{size=-7}Under{/size}" xalign 0.69 yalign 0.925     
    text "{size=-7}construction{/size}" xalign 0.69 yalign 0.955     
    
    imagebutton xalign 0.77 yalign 0.88:        ############### sex
        idle ("images/_stuff/buttons/undercon.png")
    text "{size=-7}Under{/size}" xalign 0.77 yalign 0.925     
    text "{size=-7}construction{/size}" xalign 0.77 yalign 0.955   
    
####################################################################################################            
####################################################################################################        
    
screen cherry_scr_watch: ########   W A T C H   S C R E E N
    
    imagebutton xalign 0.05 yalign 0.88:
        idle ("images/_stuff/buttons/back.png")
        hover ("images/_stuff/buttons/back_hover.png")
        action Jump ("cherry_wheel")
    text "{size=-7}Back{/size}" xalign 0.05 yalign 0.925 
    
    if v_che_dr <= 0:
        imagebutton xalign 0.13 yalign 0.88:
            idle ("images/_stuff/buttons/che/cherry_leg.png")
            hover ("images/_stuff/buttons/che/cherry_leg_hover.png")
            action Jump ("cherry_legs")
        text "{size=-7}Show me{/size}" xalign 0.13 yalign 0.925     
        text "{size=-7}your legs{/size}" xalign 0.13 yalign 0.955             
    else:
        imagebutton xalign 0.13 yalign 0.88:
            idle ("images/_stuff/buttons/che/cherry_leg.png")
        text "{size=-7}Show me{/size}" xalign 0.13 yalign 0.925     
        text "{size=-7}your legs{/size}" xalign 0.13 yalign 0.955                     
    
    if v_che_show >= 1:
        imagebutton xalign 0.21 yalign 0.88:
            idle ("images/_stuff/buttons/che/cherry_pose.png")
            hover ("images/_stuff/buttons/che/cherry_pose_hover.png")
            action Jump ("cherry_pose")
        text "{size=-7}Show me{/size}" xalign 0.21 yalign 0.925     
        text "{size=-7}your butt{/size}" xalign 0.21 yalign 0.955                    
    else:
        imagebutton xalign 0.21 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.21 yalign 0.925                 
        
    if v_che_show >= 2:
        imagebutton xalign 0.29 yalign 0.88:
            idle ("images/_stuff/buttons/che/cherry_titsplay.png")
            hover ("images/_stuff/buttons/che/cherry_titsplay_hover.png")
            action Jump ("cherry_titsplay")
        text "{size=-7}Play with{/size}" xalign 0.29 yalign 0.925
        text "{size=-7}your tits{/size}" xalign 0.29 yalign 0.955
    else:
        imagebutton xalign 0.29 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.29 yalign 0.925
    
    imagebutton xalign 0.37 yalign 0.88:
        idle ("images/_stuff/buttons/undercon.png")
    text "{size=-7}Under{/size}" xalign 0.37 yalign 0.925         
    text "{size=-7}construction{/size}" xalign 0.37 yalign 0.955      
    
    imagebutton xalign 0.45 yalign 0.88:
        idle ("images/_stuff/buttons/undercon.png")
    text "{size=-7}Under{/size}" xalign 0.45 yalign 0.925         
    text "{size=-7}construction{/size}" xalign 0.45 yalign 0.955      
    
    
screen cherry_scr_undress: ##############################################   U N D R E S S    S C R E E N    ######################
    
    imagebutton xalign 0.05 yalign 0.88:
        idle ("images/_stuff/buttons/back.png")
        hover ("images/_stuff/buttons/back_hover.png")
        action Jump ("cherry_wheel")
    text "{size=-7}Back{/size}" xalign 0.05 yalign 0.925 
    
    if v_che_dr <= 0:
        imagebutton xalign 0.13 yalign 0.88:
            idle ("images/_stuff/buttons/che/cherry_dress.png")
            hover ("images/_stuff/buttons/che/cherry_dress_hover.png")
            action Jump ("cherry_cor_dress")
        text "{size=-7}Take off{/size}" xalign 0.13 yalign 0.925     
        text "{size=-7}your dress{/size}" xalign 0.13 yalign 0.955             
    else:
        imagebutton xalign 0.13 yalign 0.88:
            idle ("images/_stuff/buttons/che/cherry_dress.png")
        text "{size=-7}Take off{/size}" xalign 0.13 yalign 0.925     
        text "{size=-7}your dress{/size}" xalign 0.13 yalign 0.955                     
    
    imagebutton xalign 0.21 yalign 0.88:
        idle ("images/_stuff/buttons/undercon.png")
    text "{size=-7}Under{/size}" xalign 0.21 yalign 0.925     
    text "{size=-7}construction{/size}" xalign 0.21 yalign 0.955         
            
    imagebutton xalign 0.29 yalign 0.88:
        idle ("images/_stuff/buttons/undercon.png")
    text "{size=-7}Under{/size}" xalign 0.29 yalign 0.925     
    text "{size=-7}construction{/size}" xalign 0.29 yalign 0.955         
    
screen cherry_scr_talk:  #########################################   T A L K    S C R E E N    ##########################
    
    imagebutton xalign 0.05 yalign 0.88:
        idle ("images/_stuff/buttons/back.png")
        hover ("images/_stuff/buttons/back_hover.png")
        action Jump ("cherry_wheel")
    text "{size=-7}Back{/size}" xalign 0.05 yalign 0.925 
    
    imagebutton xalign 0.13 yalign 0.88:
        idle ("images/_stuff/buttons/talk.png")
        hover ("images/_stuff/buttons/talk_hover.png")
        action Jump ("cherry_talk1")
    text "{size=-7}Talk{/size}" xalign 0.15 yalign 0.925      
    
    imagebutton xalign 0.21 yalign 0.88:
        idle ("images/_stuff/buttons/talk_compliment.png")
        hover ("images/_stuff/buttons/talk_compliment_hover.png")
        action Jump ("cherry_compliment")
    text "{size=-7}Compliment{/size}" xalign 0.21 yalign 0.925    
    
    imagebutton xalign 0.29 yalign 0.88:
        idle ("images/_stuff/buttons/talk_dominant.png")
        hover ("images/_stuff/buttons/talk_dominant_hover.png")
        action Jump ("cherry_discipline")
    text "{size=-7}Discipline{/size}" xalign 0.29 yalign 0.925   
    
    if v_che_event2 >= 1:
        imagebutton xalign 0.37 yalign 0.88:
            idle ("images/_stuff/buttons/invest.png")
            hover ("images/_stuff/buttons/invest_hover.png")
            action Jump ("cherry_invest")
        text "{size=-7}Invest{/size}" xalign 0.37 yalign 0.925     
        text "{size=-7}50 gold{/size}" xalign 0.37 yalign 0.955     
    else:
        imagebutton xalign 0.37 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.37 yalign 0.925         
    
    if v_che_met >= 7:
        imagebutton xalign 0.45 yalign 0.88:
            idle ("images/_stuff/buttons/hypnosis.png")
            hover ("images/_stuff/buttons/hypnosis_hover.png")
            action Jump ("cherry_hypnosis")
        text "{size=-7}Learn hypnosis{/size}" xalign 0.45 yalign 0.925     
        text "{size=-7}(cost 50 gold){/size}" xalign 0.45 yalign 0.955         
    else:
        imagebutton xalign 0.45 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.45 yalign 0.925      
    
    if (v_sk_potions >= 1) and ((v_che_event1 != 1)):
        
        imagebutton xalign 0.53 yalign 0.88:
            idle ("images/_stuff/buttons/potions.png")
            hover ("images/_stuff/buttons/potions_hover.png")
            action Jump ("cherry_recipes")
        text "{size=-7}Pecipes{/size}" xalign 0.53 yalign 0.925
    else:
        imagebutton xalign 0.53 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.53 yalign 0.925
        
screen cherry_scr_skills: ##############################################   S K I L L S   S C R E E N    ######################
    
    imagebutton xalign 0.05 yalign 0.88:
        idle ("images/_stuff/buttons/back.png")
        hover ("images/_stuff/buttons/back_hover.png")
        action Jump ("cherry_wheel")
    text "{size=-7}Back{/size}" xalign 0.05 yalign 0.925
        
    imagebutton xalign 0.15 yalign 0.88:
        idle ("images/_stuff/battle/dark_ball.png")
        hover ("images/_stuff/battle/dark_ball_hover.png")
        action Jump ("cherry_spells_darkball")
    text "{size=-7}Dark Ball{/size}" xalign 0.15 yalign 0.925
    
    if v_sk_dark_storm >= 1:    
        imagebutton xalign 0.25 yalign 0.88:
            idle ("images/_stuff/battle/dark_storm.png")
            hover ("images/_stuff/battle/dark_storm_hover.png")
            action Jump ("cherry_spells_darkstorm")
        text "{size=-7}Dark Storm{/size}" xalign 0.25 yalign 0.925    
    else:
        imagebutton xalign 0.25 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.25 yalign 0.925        
        
    if v_sk_stun_charm >= 1:
        imagebutton xalign 0.35 yalign 0.88:
            idle ("images/_stuff/battle/stun_charm.png")
            hover ("images/_stuff/battle/stun_charm_hover.png")
            action Jump ("cherry_spells_stun")
        text "{size=-7}Stun{/size}" xalign 0.35 yalign 0.925      
    else:
        imagebutton xalign 0.35 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.35 yalign 0.925        

    if v_sk_dark_theft >= 1:
        imagebutton xalign 0.45 yalign 0.88:
            idle ("images/_stuff/battle/dark_theft.png")
            hover ("images/_stuff/battle/dark_theft_hover.png")
            action Jump ("cherry_spells_darktheft")
        text "{size=-7}Dark Theft{/size}" xalign 0.45 yalign 0.925         
    else:
        imagebutton xalign 0.45 yalign 0.88:
            idle ("images/_stuff/buttons/locked.png")
        text "{size=-7}Locked{/size}" xalign 0.45 yalign 0.925              
        